Subject: Info on African herb
From: [email-masked] (Jim Riosa)
Date: Tue, 5 Jul 1994 12:24:17 GMT
Newsgroups: bionet.plants

Since there seems to be some local expertise out there on African plants,
I hope I can glean a bit of information from you.  My wife picked up two
plants at the Royal Botanical Garden in Hamilton called Iboza, apparently
from South Africa.  We have been unable to find anything much out about
it.  It grows well outdoors, but must be propogated by cuttings and brought 
in in winter.  It is apparently used as a fixative in incense.  Beyond that,
nothing.  Anybody know the proper (ie family, genus species) name and
anything else about it.
Thanks
Jim